List saved views

GET
/views

Saved views of the workspace, in the order of the inbox sidebar. filters is the view definition in the same DSL as ?filters=. Apply a view with GET /emails?viewId=. Not paginated.

Authorization

apiKey
Authorization<token>

Your 48 character Emelia API key, the same as for the Emelia API, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api. Disabling a key can take up to 5 minutes to apply to the Inbox API.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/views" \  -H "Authorization: YOUR_API_KEY"
{  "items": [    {      "id": "cmvwacme0000000000000001",      "name": "Hot leads",      "icon": "🔥",      "filters": {        "id": "g1",        "_and": [          {            "id": "c1",            "label": "ai_label",            "type": "contains",            "value": "cmtgacme0000000000000002"          },          {            "id": "c2",            "label": "read_status",            "type": "is_false",            "value": ""          }        ]      },      "mailboxIds": [],      "createdAt": "2026-10-01T11:00:00.000Z"    }  ]}